ResponseStream.TdsInputStream (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class ResponseStream.TdsInputStream

- java.lang.Object
- - java.io.InputStream
  - - net.sourceforge.jtds.jdbc.ResponseStream.TdsInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable
  Enclosing class:
    ResponseStream

      private static class ResponseStream.TdsInputStream
      extends java.io.InputStream

  Simple inner class implementing an `InputStream` over the server response.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `maxLen` The maximum amount of data to make available.
    `(package private) ResponseStream` | `tds` The underlying `ResponseStream`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseStream.TdsInputStream(ResponseStream tds, int maxLen)` Creates a `TdsInputStream` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `read()`
    `int` | `read(byte[] bytes, int offset, int len)`

    - ### Methods inherited from class java.io.InputStream

      `available, close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tds

          ResponseStream tds

      The underlying `ResponseStream`.

    - #### maxLen

          int maxLen

      The maximum amount of data to make available.

  - ### Constructor Detail

    - #### ResponseStream.TdsInputStream

          public ResponseStream.TdsInputStream(ResponseStream tds,
                                       int maxLen)

      Creates a `TdsInputStream` instance.
      Parameters:
        `tds` - the underlying `ResponseStream`
        `maxLen` - the maximum amount of data that will be available

  - ### Method Detail

    - #### read

          public int read()
                   throws java.io.IOException

      Specified by:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] bytes,
                 int offset,
                 int len)
                   throws java.io.IOException

      Overrides:
        `read` in class `java.io.InputStream`
      Throws:
        `java.io.IOException`

Generated on June 8 2013